# Generated by Django 3.2.5 on 2021-07-27 04:12

from django.db import migrations, models
import django.db.models.deletion
import reports.models


class Migration(migrations.Migration):

    dependencies = [
        ('reports', '0004_auto_20210727_0112'),
    ]

    operations = [
        migrations.CreateModel(
            name='ParamDict',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('file', models.FileField(upload_to=reports.models.report_param_dict_directory_path)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='param_dicts', to='reports.report')),
            ],
        ),
    ]
